# norootforbuild

Name:		ncmpc
Version:	0.18
Release:	2.pm.2.1

Summary:	Curses Client for the Music Player Daemon
License:	GPL
Group:		Productivity/Multimedia/Sound/Players

Source:		http://downloads.sourceforge.net/musicpd/%{name}-%{version}.tar.bz2

URL:		http://mpd.wikia.com/wiki/Client:Ncmpc

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	glib2-devel libmpdclient-devel pkgconfig ncurses-devel

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to 
a MPD running on a machine on the local network, and controls this with an 
interface inspired by cplay.



%lang_package


%prep
%setup -q -n %{name}-%{version}


%build
autoreconf -fi
%configure --docdir=%{_docdir}/%{name}
%__make %{?_smp_mflags}


%install
%makeinstall

%find_lang %{name}

# install config.sample and keys.sample in /etc/ncmpc
%__install -D -m 644 doc/keys.sample $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/keys
%__install -D -m 644 doc/config.sample $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/config


%clean
rm -rf %{buildroot}

%files lang -f %{name}.lang
%defattr(-,root,root)


%files
%defattr(-,root,root)
%{_bindir}/ncmpc
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/keys
%config %{_sysconfdir}/%{name}/config
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*
%{_mandir}/man1/ncmpc.1.gz


%changelog
* Sat Sep 25 2010 Detlef Reichelt <detlef@links2linux.de> - 0.18
- new upstream version <0.18>
  * screen_song: show song range
  * screen_artist: respect artist when adding albums
  * po: added Italian translation

* Fri Jul 17 2010 Detlef Reichelt <detlef@links2linux.de> - 0.17
- new upstream version <0.17>
  * screen_queue: fix range selection check on "shuffle"
  * screen_browser: check for error before adding song to playlist
  * po: added Brazilian Portuguese translation

* Mon Jan 18 2010 Detlef Reichelt <detlef@links2linux.de> - 0.16.1
- new upstream version <0.16.1>
  * screen_queue: always update the list size
  * screen_browser: fixed jump to playlist file

* Wed Dec 30 2009 Detlef Reichelt <detlef@links2linux.de> - 0.16
- new upstream version <0.16>
* Thu Jul 23 2009 Detlef Reichelt <detlef@links2linux.de> <0.14>-<0.pm.1>
- new upstream version <0.14>
* Sun Jan 11 2009 Detlef Reichelt <detlef@links2linux.de> <0.13>-<0.pm.1>
- new upstream version <0.13>
* Sat Dec 06 2008 Detlef Reichelt <detlef@links2linux.de> <0.12>-<0.pm.1>
- new upstream version <0.12>
* Fri Oct 20 2006 Detlef Reichelt <detlef@links2linux.de> 0.11.1-0.pm.4
- fix install configfiles
* Sun Aug 28 2006 Detlef Reichelt <detlef@links2linux.de> 0.11.1-0.pm.3
- fix docdir
- add default-configs in /etc
* Fri Jul 28 2006 Detlef Reichelt <detlef@links2linux.de> 0.11.1-0.pm.1
- first PackMan-Build
